Next: NINT, Previous: NEAREST, Up: Intrinsic Procedures [Contents][Index]

### 9.196 `NEW_LINE` — New line character

Description:

  `NEW_LINE(C)` returns the new-line character.

Standard:

  Fortran 2003 and later

Class:

  Inquiry function

Syntax:

  `RESULT = NEW_LINE(C)`

Arguments:

  C | The argument shall be a scalar or array of the type `CHARACTER`.

Return value:

  Returns a CHARACTER scalar of length one with the new-line character of the same kind as parameter C.

Example:

      program newline
        implicit none
        write(*,'(A)') 'This is record 1.'//NEW_LINE('A')//'This is record 2.'
      end program newline